Name:          sun-htmlmacro
Version:       1.0
Release:       %mkrel 0.r27.1
Summary:       Macro engine for generating HTML documents
Group:         Development/Java
License:       CDDL
Url:           http://java.net/projects/htmlmacro
# svn export -r 27 https://svn.java.net/svn/htmlmacro~svn/trunk sun-htmlmacro-1.0-r27 --username USERNAME
# tar czf sun-htmlmacro-1.0-r27-src-svn.tar.gz sun-htmlmacro-1.0-r27
Source0:       sun-htmlmacro-1.0-r27-src-svn.tar.gz
Patch0:        sun-htmlmacro-1.0-r27-javadoc-build:xml.patch
BuildRequires: ant
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-jexl1
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: args4j
BuildRequires: dom4j
BuildRequires: jakarta-commons-jelly
BuildRequires: jakarta-commons-jelly-tags-define
BuildRequires: jakarta-commons-jelly-tags-xml
BuildRequires: java-devel
BuildRequires: jaxen
BuildRequires: jpackage-utils
BuildRequires: nekohtml
#BuildRequires: sun-soimp
BuildRequires: xerces-j2
Requires:      ant
Requires:      apache-commons-beanutils
Requires:      apache-commons-jexl1
Requires:      apache-commons-logging
Requires:      dom4j
Requires:      jakarta-commons-jelly
Requires:      jakarta-commons-jelly-tags-define
Requires:      jakarta-commons-jelly-tags-xml
Requires:      jaxen
Requires:      nekohtml
BuildArch:     noarch

%description
Writing a serious, consistent, nice-looking documents in HTML is hard.
CSS improves the situation a bit, but it's still very painful. For example,
suppose if you are writing a release note like this, and you want to do:

   1. Generate the navigation bar in multiple pages
   2. Have the same footer for all documents 

This project believes that a part of the problem is the lack of "programmability" in HTML.
For example, if you can define your own <footer/> tag (just like you define a JSP tag),
then it becomes very easy to guarantee the consistent footer.

HTMLMacro lets you do just that. When you write HTML, it lets you define and use macros.

%package demo
Group:         Development/Java
Summary:       Samples for HTMLMacro
Requires:      %{name} = %{version}-%{release} 

%description demo
Macro engine for generating HTML documents.

This package contains samples for HTMLMacro.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for HTMLMacro
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Macro engine for generating HTML documents.

This package contains documentation for HTMLMacro.

%package manual
Group:	       Development/Java
Summary:       Documents for HTMLMacro

%description manual
Macro engine for generating HTML documents.

This package contains documentation for HTMLMacro.

%prep
%setup -q -n sun-htmlmacro-%{version}-r27

chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

pushd htmlmacro/lib
	ln -sf $(build-classpath ant) ant.jar
	ln -sf $(build-classpath args4j) args4j-2.0.1.jar
	ln -sf $(build-classpath commons-beanutils) commons-beanutils-1.6.jar
	ln -sf $(build-classpath commons-collections) commons-collections-2.1.jar
	ln -sf $(build-classpath commons-jelly) commons-jelly-1.0.jar
	ln -sf $(build-classpath jelly-tags/commons-jelly-tags-define) commons-jelly-tags-define-1.0.jar
	ln -sf $(build-classpath jelly-tags/commons-jelly-tags-xml) commons-jelly-tags-xml-1.1.jar
	ln -sf $(build-classpath commons-jexl1) commons-jexl-1.0.jar
	ln -sf $(build-classpath commons-lang) commons-lang-2.0.jar
	ln -sf $(build-classpath commons-logging) commons-logging-1.0.3.jar
	ln -sf $(build-classpath dom4j) dom4j.jar
	ln -sf $(build-classpath jaxen) jaxen-1.1-beta-4.jar
	ln -sf $(build-classpath nekohtml) nekohtml.jar
#  ln -sf $(build-classpath soimp) soimp-1.0.jar
#  mv soimp-1.0.jar soimp-1.0.jar.no
	ln -sf $(build-classpath xerces-j2) xercesImpl.jar
popd

%patch0

%build

cd htmlmacro
ant -Dbuild.sysclasspath=first dist doc javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

cd htmlmacro

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/htmlmacro.jar %{buildroot}%{_javadir}/sun-htmlmacro-%{version}.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_datadir}/sun-htmlmacro-%{version}
cp -pr examples/* %{buildroot}%{_datadir}/sun-htmlmacro-%{version}

mkdir -p %{buildroot}%{_javadocdir}/sun-htmlmacro-%{version}
cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/sun-htmlmacro-%{version}
ln -s sun-htmlmacro-%{version} %{buildroot}%{_javadocdir}/sun-htmlmacro

mkdir -p %{buildroot}%{_docdir}/sun-htmlmacro
cp -pr build/doc/* %{buildroot}%{_docdir}/sun-htmlmacro

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_javadir}/sun-htmlmacro-%{version}.jar
%{_javadir}/sun-htmlmacro.jar

%files demo
%defattr(-,root,root)
%{_datadir}/sun-htmlmacro-%{version}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/sun-htmlmacro-%{version}
%{_javadocdir}/sun-htmlmacro

%files manual
%defattr(-,root,root)
%{_docdir}/sun-htmlmacro



%changelog

* Sun Nov 06 2011 gil <gil> 1.0-0.r27.1.mga2
+ Revision: 164040
- imported package sun-htmlmacro


* Mon Jul 11 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm
